Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RepeatPattern.Type

    java.lang.Object
      portlets.compoze.groupware.RepeatPattern.Type

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RepeatPattern

public static class RepeatPattern.Type
extends java.lang.Object
implements java.io.Serializable

This class stores values for repeating types.

See Also:
  Serialized Form

Field Summary
`static RepeatPattern.Type` | `DAILY` This value represents a 'daily' repeat type.
`static RepeatPattern.Type` | `MONTHLY` This value represents a 'monthly' repeat type.
`static RepeatPattern.Type` | `MONTHLY_BY_DAY` This value represents a 'monthly by day' repeat type.
`static int` | `VALUE_DAILY` This represents the 'daily' value.
`static int` | `VALUE_MONTHLY` This represents the 'monthly' value.
`static int` | `VALUE_MONTHLY_BY_DAY` This represents the 'monthly by day' value.
`static int` | `VALUE_WEEKLY` This represents the 'weekly' value.
`static int` | `VALUE_YEARLY` This represents the 'yearly' value.
`static RepeatPattern.Type` | `WEEKLY` This value represents a 'weekly' repeat type.
`static RepeatPattern.Type` | `YEARLY` This value represents a 'yearly' repeat type.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatPattern.Type` | `get(int iValue)` Gets the repeat type by its value.
`java.lang.String` | `getKey()` Gets the i18n resource key name.
`static java.util.List` | `getRepeatTypes()` Gets the list of repeat types.
`int` | `getValue()` Gets the value of the repeat type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DAILY

    public static final int VALUE_DAILY

  This represents the 'daily' value.

  See Also:
    Constant Field Values

### VALUE_WEEKLY

    public static final int VALUE_WEEKLY

  This represents the 'weekly' value.

  See Also:
    Constant Field Values

### VALUE_MONTHLY

    public static final int VALUE_MONTHLY

  This represents the 'monthly' value.

  See Also:
    Constant Field Values

### VALUE_MONTHLY_BY_DAY

    public static final int VALUE_MONTHLY_BY_DAY

  This represents the 'monthly by day' value.

  See Also:
    Constant Field Values

### VALUE_YEARLY

    public static final int VALUE_YEARLY

  This represents the 'yearly' value.

  See Also:
    Constant Field Values

### DAILY

    public static final RepeatPattern.Type DAILY

  This value represents a 'daily' repeat type.

### WEEKLY

    public static final RepeatPattern.Type WEEKLY

  This value represents a 'weekly' repeat type.

### MONTHLY

    public static final RepeatPattern.Type MONTHLY

  This value represents a 'monthly' repeat type.

### MONTHLY_BY_DAY

    public static final RepeatPattern.Type MONTHLY_BY_DAY

  This value represents a 'monthly by day' repeat type.

### YEARLY

    public static final RepeatPattern.Type YEARLY

  This value represents a 'yearly' repeat type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key name.

  Returns:
    the name

### getValue

    public int getValue()

  Gets the value of the repeat type.

  Returns:
    the value

### get

    public static RepeatPattern.Type get(int iValue)

  Gets the repeat type by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching repeat type or `null` if not found

### getRepeatTypes

    public static java.util.List getRepeatTypes()

  Gets the list of repeat types.

  Returns:
    the list of `RepeatType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.